using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp28
{
    class Program
    {
        static void Main(string[] args)
        {
            int n,z=1,k1=0,p=0;
            n =int.Parse(Console.ReadLine());
            int[] a =new  int[n];
            string[] r = Console.ReadLine().Split();
            for (int i = 0; i < n; i++) a[i] = int.Parse(r[i]);
            for(int i = 0; i < n; i++)
            {
                for (int j = i+1; j < n; j++)
                {
                    if (a[i] < a[j]) {
                        p = a[i];
                        a[i] = a[j];
                        a[j] = p;
                        z = 0;
                       // Console.WriteLine("ps1");
                    }
                    if (a[i] == a[j]) {  k1 = 1; } 
                    if (z == 0) break;
                }
                if (z == 0) break;
               
            }
            if (k1 == 1)
            {
                z = 0;
            }
            if (z == 1)
            {
                p = a[n - 2];
                a[n - 2] = a[n - 1];
                a[n - 1] = p;
               // Console.WriteLine("ps2");
            }

           for(int i = 0; i < n; i++)
            {
                Console.Write(a[i]+" ");
            }
            Console.ReadLine();
        }
    }
}